#!/usr/bin/env kjscmd

var mw = new TDEMainWindow();
var box = new TQVBox( mw );
mw.setCentralWidget( box );

var args = [ "WIDTH=300", "HEIGHT=250", "CODE=TestApplet.class", "CLASSPATH=.", "TEXT=Foobar" ]
var part = Factory.createROPart( "application/x-java-applet",
				 "'KParts/ReadOnlyPart' in ServiceTypes",
				 box, "foobar",
				 args );

part.openURL( "./TestApplet.class" );

mw.show();
application.exec();
